<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<xsl:variable name="total" select="count(/Properties/Data/Result/site-map/segment/node[.//node/link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name'] or link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name']])"/> 
		<ol class="breadcrumb" aria-label="Breadcrumb" role="navigation">		
			<xsl:choose>
				<xsl:when test="$total = 0">/</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="/Properties/Data/Result/site-map/segment/node[.//node/link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name'] or link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name']]">
						<xsl:call-template name="display-node">
							<xsl:with-param name="node" select="."/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		</ol>
	</xsl:template>
	<xsl:template name="display-node">
		<xsl:param name="node"/>		
		<xsl:choose>
			<xsl:when test="/Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name'] = $node/link/value">
				<li>
					<xsl:attribute name="class">active</xsl:attribute>
					<xsl:value-of select="$node/label"/>
				</li>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$node/link/value = ''">
						<li class="disabled">							
							<xsl:value-of select="$node/label"/>
						</li>					
					</xsl:when>
					<xsl:otherwise>
						<li>
							<xsl:call-template name="link-sitemap">
								<xsl:with-param name="node" select="$node"/> 
								<xsl:with-param name="class" select="''"/>
							</xsl:call-template>							
						</li>
					</xsl:otherwise>				
				</xsl:choose>
				<xsl:for-each select="$node/node[.//node/link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name'] or link/value = /Properties/Data/External/Parameters/Datum[@Name='iw-ls-page-name']]">			
					<xsl:call-template name="display-node">
						<xsl:with-param name="node" select="."/>
					</xsl:call-template> 
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>