<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<nav class="navbar navbar-default navbar-fixed-top">
			<div class="container">
				<!-- Brand and toggle get grouped for better mobile display -->
				<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"/>
						<span class="icon-bar"/>
						<span class="icon-bar"/>
					</button>
					<xsl:choose>
						<xsl:when test="string-length(/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/ImagePath) &gt; 1">
							<xsl:call-template name="image-dcr">
								<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage"/> 
								<xsl:with-param name="class" select="'logo'"/>
								<xsl:with-param name="linkClass"/>
								<xsl:with-param name="spanClass"/>
								<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
								<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage'"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="link-dcr">
								<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/Link"/> 
								<xsl:with-param name="class" select="'navbar-brand'"/>
								<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
								<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage/Link'"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>					
				</div>

				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
					<ul class="nav navbar-nav">
						<xsl:for-each select="/Properties/Data/Result/site-map/segment/node">
							<li>						
								<xsl:choose>
									<xsl:when test="count(node) &gt; 0">									
										<xsl:attribute name="class">dropdown</xsl:attribute>										
										<xsl:call-template name="link-sitemap">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="'dropdown-toggle'"/>
											<xsl:with-param name="displayCaret" select="'yes'"/>
											<xsl:with-param name="dataToggle" select="'dropdown'"/>
										</xsl:call-template>
										<!--class="dropdown-toggle" data-toggle="dropdown"-->

										<ul class="dropdown-menu">
											<xsl:for-each select="node">
												<xsl:call-template name="display-node">
													<xsl:with-param name="node" select="."/>
												</xsl:call-template>    
											</xsl:for-each>							
										</ul>

									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="link-sitemap">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="''"/>
										</xsl:call-template>
									</xsl:otherwise>				
								</xsl:choose>
							</li>
						</xsl:for-each>        
					</ul>
					<xsl:if test="/Properties/Datum[@ID='ShowSearch']/Option[@Selected='true']/Value = 'yes'">
						<form class="navbar-form navbar-right" type="external">
							<xsl:attribute name="action">
								<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchURL"/>
							</xsl:attribute>
							<div class="input-group">
								<input type="text" class="form-control border-secondary py-2" aria-label="Search" name="keywords">
									<xsl:attribute name="placeholder">
										<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchPlaceholder"/>
									</xsl:attribute>
								</input>
								<div class="input-group-btn">						
									<button type="submit">
										<xsl:attribute name="class" select="concat('btn btn-',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value)"/>
										<i class="fa fa-search"/>
									</button>
								</div>
							</div>	
						</form>  
					</xsl:if>
				</div>
				<!-- /.navbar-collapse -->
			</div>
			<!-- /.container-fluid -->
		</nav>
	</xsl:template>
	<xsl:template name="display-node">
		<xsl:param name="node"/>
		<li>
			<xsl:choose>
				<xsl:when test="count($node/node) &gt; 0">
					<xsl:attribute name="class">dropdown dropdown-submenu</xsl:attribute>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="$node"/> 
						<xsl:with-param name="class" select="''"/>
					</xsl:call-template>
					<ul class="dropdown-menu">
						<xsl:for-each select="$node/node">
							<xsl:call-template name="display-node">
								<xsl:with-param name="node" select="."/>
							</xsl:call-template> 
						</xsl:for-each>							
					</ul>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="$node"/> 
						<xsl:with-param name="class" select="''"/>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
		</li>			
	</xsl:template>
</xsl:stylesheet>