<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">

		<h2>
			<xsl:choose>
				<xsl:when test="/Properties/Datum[@ID='HeaderTextAlignment']/Option[@Selected='true']/Value = 'right'">
					<xsl:attribute name="class">text-right</xsl:attribute>
				</xsl:when>
				<xsl:when test="/Properties/Datum[@ID='HeaderTextAlignment']/Option[@Selected='true']/Value = 'center'">
					<xsl:attribute name="class">text-center</xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:attribute name="in-context-edit">
				<xsl:value-of select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
			</xsl:attribute> 
			<xsl:attribute name="dcr-item-paths">
				<xsl:value-of select="'/Cards/Heading'"/>
			</xsl:attribute>
			<xsl:value-of select="/Properties/Data/Datum[@ID='CardDCR']/DCR/Cards/Heading" disable-output-escaping="yes"/>
		</h2>
		<div class="row">
			<xsl:for-each select="/Properties/Data/Datum[@ID='CardDCR']/DCR/Cards/Row">	
				<xsl:variable name="current-card-count" select="count(Card)"/>
				<xsl:variable name="row-position" select="position()"/>
				<xsl:for-each select="Card">	
					<div>
						<xsl:choose>
							<xsl:when test="$current-card-count = 2">
								<xsl:attribute name="class">col-lg-6 col-md-6 mb-4</xsl:attribute>
							</xsl:when>
							<xsl:when test="$current-card-count = 3">
								<xsl:attribute name="class">col-lg-4 col-md-6 mb-4</xsl:attribute>
							</xsl:when>
							<xsl:when test="$current-card-count = 4">
								<xsl:attribute name="class">col-lg-3 col-md-6 mb-4</xsl:attribute>
							</xsl:when>
						</xsl:choose>
						<div class="card">
							<xsl:if test="string-length(ImagePath) &gt; 0">
								<xsl:call-template name="image-dcr">
									<xsl:with-param name="node" select="."/> 
									<xsl:with-param name="class" select="'card-img-top'"/>
									<xsl:with-param name="linkClass" select="''"/>
									<xsl:with-param name="spanClass" select="''"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
									<xsl:with-param name="dcrItemPaths" select="concat('/Cards/Row[',$row-position,']/Card[',position(),']/ImagePath')"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="string-length(Title) &gt; 0 or string-length(SubTitle) &gt; 0 or string-length(Body) &gt; 0 or Link/LinkLabel">
							<div class="card-body">
								<h4 class="card-title">
									<xsl:attribute name="in-context-edit">
										<xsl:value-of select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
									</xsl:attribute> 
									<xsl:attribute name="dcr-item-paths">
										<xsl:value-of select="concat('/Cards/Row[',$row-position,']/Card[',position(),']/Title')"/>
									</xsl:attribute>
									<xsl:value-of select="Title" disable-output-escaping="yes"/>
								</h4>
								<xsl:if test="string-length(SubTitle) &gt; 0">
									<h5>
										<xsl:attribute name="in-context-edit">
											<xsl:value-of select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
										</xsl:attribute> 
										<xsl:attribute name="dcr-item-paths">
											<xsl:value-of select="concat('/Cards/Row[',$row-position,']/Card[',position(),']/SubTitle')"/>
										</xsl:attribute>
										<xsl:value-of select="SubTitle" disable-output-escaping="yes"/>
									</h5>
								</xsl:if>
								<p class="card-text">
									<xsl:attribute name="in-context-edit">
										<xsl:value-of select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
									</xsl:attribute> 
									<xsl:attribute name="dcr-item-paths">
										<xsl:value-of select="concat('/Cards/Row[',$row-position,']/Card[',position(),']/Body')"/>
									</xsl:attribute>
									<xsl:value-of select="Body" disable-output-escaping="yes"/>
								</p>
								<xsl:if test="/Properties/Datum[@ID='ShowCTA']/Option[@Selected='true']/Value = 'yes' and Link/LinkLabel">
									<div>
										<xsl:choose>
											<xsl:when test="/Properties/Datum[@ID='CTAAlignment']/Option[@Selected='true']/Value = 'right'">
												<xsl:attribute name="class">text-right</xsl:attribute>
											</xsl:when>
											<xsl:when test="/Properties/Datum[@ID='CTAAlignment']/Option[@Selected='true']/Value = 'center'">
												<xsl:attribute name="class">text-center</xsl:attribute>
											</xsl:when>
										</xsl:choose>
										<xsl:variable name="button-width">
											<xsl:choose>
												<xsl:when test="/Properties/Datum[@ID='CTAWidth']/Option[@Selected='true']/Value = 'full'">btn-block</xsl:when>
												<xsl:otherwise/>
											</xsl:choose>
										</xsl:variable>
										<xsl:call-template name="link-dcr">
											<xsl:with-param name="node" select="Link"/> 
											<xsl:with-param name="class" select="concat('btn ',$button-width,'  btn-',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value)"/>
											<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CardDCR']/@ID"/>
											<xsl:with-param name="dcrItemPaths" select="concat('/Cards/Row[',$row-position,']/Card[',position(),']/Link[1]')"/>
										</xsl:call-template>
									</div>
								</xsl:if>
							</div>
							</xsl:if>
						</div>		
					</div>
				</xsl:for-each>
			</xsl:for-each>	
		</div>		
	</xsl:template>
</xsl:stylesheet>