<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">	
		<div id="carouselIndicators" class="carousel slide" data-ride="carousel">
			<ol class="carousel-indicators">
				<xsl:for-each select="/Properties/Data/Datum[@ID='CarouselDCR']/DCR/Carousel/ImageList">
					<li data-target="#carouselIndicators">
						<xsl:attribute name="data-slide-to">
							<xsl:value-of select="position()"/>
						</xsl:attribute>
						<xsl:if test="position()= 1 ">
							<xsl:attribute name="class">active</xsl:attribute>
						</xsl:if>
					</li>
				</xsl:for-each>
			</ol>
			<div class="carousel-inner" role="listbox">
				<xsl:for-each select="/Properties/Data/Datum[@ID='CarouselDCR']/DCR/Carousel/ImageList">
					<div>						
						<xsl:attribute name="class">carousel-item <xsl:if test="position()=1">active</xsl:if>
						</xsl:attribute>
						<xsl:call-template name="image-dcr">
							<xsl:with-param name="node" select="."/> 
							<xsl:with-param name="class" select="'d-block img-fluid'"/>
							<xsl:with-param name="linkClass" select="''"/>
							<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
							<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/ImagePath')"/>
						</xsl:call-template>
						<xsl:if test="string-length(ImageCaption) &gt; 0">
							<div role="option">
								<xsl:choose>
									<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
										<xsl:attribute name="class">carousel-caption d-none d-md-block text-right</xsl:attribute>
									</xsl:when>
									<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
										<xsl:attribute name="class">carousel-caption d-none d-md-block text-center</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">carousel-caption d-none d-md-block text-left</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<h3>
									<xsl:attribute name="in-context-edit">
										<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
									</xsl:attribute> 
									<xsl:attribute name="dcr-item-paths">
										<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/ImageCaption')"/>
									</xsl:attribute> 	
									<xsl:value-of select="ImageCaption" disable-output-escaping="yes"/>
								</h3>
								<h5>
									<xsl:attribute name="in-context-edit">
										<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
									</xsl:attribute> 
									<xsl:attribute name="dcr-item-paths">
										<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/SubImageCaption')"/>
									</xsl:attribute> 	
									<xsl:value-of select="SubImageCaption" disable-output-escaping="yes"/>
								</h5>
								<xsl:if test="/Properties/Datum[@ID='ShowCTA']/Option[@Selected='true']/Value = 'yes' and Link/LinkLabel">
									<xsl:call-template name="link-dcr">
										<xsl:with-param name="node" select="Link"/> 
										<xsl:with-param name="class" select="concat('btn btn-',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' btn-sm')"/>
										<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
										<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/Link')"/>
									</xsl:call-template>
								</xsl:if>
							</div>
						</xsl:if>
					</div>
				</xsl:for-each>
			</div>
			<a  class="carousel-control-prev" href="#carouselIndicators" role="button" data-slide="prev">
				<span class="carousel-control-prev-icon" aria-hidden="true"/>
				<span class="sr-only">Previous</span>
			</a>
			<a class="carousel-control-next" href="#carouselIndicators" role="button" data-slide="next">
				<span class="carousel-control-next-icon" aria-hidden="true"/>
				<span class="sr-only">Next</span>
			</a>
		</div>
	</xsl:template>
</xsl:stylesheet>