<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<xsl:apply-templates select="/Properties/Data/Datum[@ID='FooterDCR']/DCR"/>
	</xsl:template>
	<xsl:template match="/Properties/Data/Datum[@ID='FooterDCR']/DCR">
		<div id="footer" role="contentinfo">
			<div class="bg-light fixed-bottom">
				<div class="container">
					<div class="row">
						<div class="col-lg-6 h-100 text-center text-lg-left my-auto">					
							<span class="text-muted small mb-4 mb-lg-0">
								<xsl:attribute name="in-context-edit">
									<xsl:value-of select="/Properties/Data/Datum[@ID='FooterDCR']/@ID"/>
								</xsl:attribute> 
								<xsl:attribute name="dcr-item-paths">
									<xsl:value-of select="'/Footer/CopyrightText'"/>
								</xsl:attribute> 	
								<xsl:value-of select="Footer/CopyrightText" disable-output-escaping="yes"/>
							</span>
						</div>
						<div class="col-lg-6 h-100 text-center text-lg-right my-auto">
							<ul class="list-inline mb-2">
								<xsl:for-each select="/Properties/Data/Datum[@ID='FooterDCR']/DCR/Footer/Link">
									<li class="list-inline-item">
										<xsl:call-template name="link-dcr">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="''"/>
											<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='FooterDCR']/@ID"/>
											<xsl:with-param name="dcrItemPaths" select="concat('/Footer/Link[',position(),']')"/>
										</xsl:call-template>
									</li>
									<xsl:if test="position() != last()">
										<li class="list-inline-item">|</li>
									</xsl:if>
								</xsl:for-each>		

							</ul>
						</div>
					</div>
				</div>
			</div>
			</div>
	</xsl:template>
</xsl:stylesheet>