<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<nav class="navbar navbar-expand-lg navbar-light bg-light  fixed-top">
		 <div class="container">
			<xsl:choose>
				<xsl:when test="string-length(/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/ImagePath) &gt; 1">
					<xsl:call-template name="image-dcr">
						<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage"/> 
						<xsl:with-param name="class" select="'navbar-brand'"/>
						<xsl:with-param name="linkClass"/>
						<xsl:with-param name="spanClass"/>
						<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
						<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="link-dcr">
						<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/Link"/> 
						<xsl:with-param name="class" select="'navbar-brand'"/>
						<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
						<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage/Link'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>				
				
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse" id="navbarResponsive">
					<ul class="navbar-nav  mr-auto">
						<xsl:for-each select="/Properties/Data/Result/site-map/segment/node">
							<li>						
								<xsl:choose>
									<xsl:when test="count(node) &gt; 0">									
										<xsl:attribute name="class">nav-item dropdown</xsl:attribute>										
										<xsl:call-template name="link-sitemap">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="'nav-link dropdown-toggle'"/>
											<xsl:with-param name="displayCaret" select="'yes'"/>
											<xsl:with-param name="dataToggle" select="'dropdown'"/>
										</xsl:call-template>
										<!--class="dropdown-toggle" data-toggle="dropdown"-->

										<ul class="dropdown-menu">
											<xsl:for-each select="node">
												<xsl:call-template name="display-node">
													<xsl:with-param name="node" select="."/>
												</xsl:call-template>    
											</xsl:for-each>							
										</ul>

									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">nav-item</xsl:attribute>	
										<xsl:call-template name="link-sitemap">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="'nav-link'"/>
										</xsl:call-template>
									</xsl:otherwise>				
								</xsl:choose>
							</li>
						</xsl:for-each>        
					</ul>
					<xsl:if test="/Properties/Datum[@ID='ShowSearch']/Option[@Selected='true']/Value = 'yes'">
						<form class="form-inline ml-auto" type="external">
							<xsl:attribute name="action">
								<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchURL"/>
							</xsl:attribute>
							<div class="input-group">
								<input type="text" class="form-control border-secondary py-2" aria-label="Search" name="keywords">
									<xsl:attribute name="placeholder">
										<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchPlaceholder"/>
									</xsl:attribute>
								</input>
								<div class="input-group-append">
									<button type="submit">
										<xsl:attribute name="class" select="concat('btn btn-',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value),' my-2 my-sm-0'"></xsl:attribute>
										<i class="fa fa-search"/>
									</button>
								</div>
							</div>
						</form>  
					</xsl:if>
				</div>
				<!-- /.navbar-collapse -->
			</div>
		</nav>
	</xsl:template>
	<xsl:template name="display-node">
		<xsl:param name="node"/>
		<li>
			<xsl:choose>
				<xsl:when test="count($node/node) &gt; 0">
					<!--<xsl:attribute name="class">dropdown-item dropdown-toggle</xsl:attribute>-->
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="$node"/> 
						<xsl:with-param name="class" select="'dropdown-item dropdown-toggle'"/>
					</xsl:call-template>
					<ul class="dropdown-menu">
						<xsl:for-each select="$node/node">
							<xsl:call-template name="display-node">
								<xsl:with-param name="node" select="."/>
							</xsl:call-template> 
						</xsl:for-each>							
					</ul>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="$node"/> 
						<xsl:with-param name="class" select="'dropdown-item'"/>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
		</li>			
	</xsl:template>
</xsl:stylesheet>