<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<div class="row">
			<div class="small-12 large-12 columns">
				<div class="adaptive-hero-text-overlay">
						<xsl:choose>
							<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
								<xsl:attribute name="class">adaptive-hero-text-overlay text-right</xsl:attribute>
							</xsl:when>
							<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
								<xsl:attribute name="class">adaptive-hero-text-overlay text-center</xsl:attribute>
							</xsl:when>
						</xsl:choose>
						<h1>
							<xsl:attribute name="class">
								<xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/>
							</xsl:attribute>
							<xsl:attribute name="in-context-edit">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Title']/@ID"/>
							</xsl:attribute> 
							<xsl:value-of select="/Properties/Data/Datum[@ID='Title']" disable-output-escaping="yes"/>
						</h1>
						<span>
							<xsl:attribute name="class">
								<xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/>
							</xsl:attribute>
							<xsl:attribute name="in-context-edit">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Body']/@ID"/>
							</xsl:attribute> 
							<xsl:value-of select="/Properties/Data/Datum[@ID='Body']" disable-output-escaping="yes"/>
						</span>
						<xsl:if test="not(/Properties/Data/Group[@ID='Link']/Datum[@ID='LinkLabel'] = '')">
							<p>
								<xsl:call-template name="link-datum">
									<xsl:with-param name="node" select="/Properties/Data/Group[@ID='Link']"/> 
									<xsl:with-param name="class" select="concat('medium ',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Group[@ID='Link']/@ID"/>
								</xsl:call-template>
							</p>
						</xsl:if>					
				</div>

				<xsl:choose>
					<xsl:when test="contains(/Properties/Data/Datum[@ID='Image']/Image/Path,'adaptivemedia')">
						<picture>
							<source media="(min-width: 640px)">
								<xsl:attribute name="srcset">
									<xsl:choose>
										<xsl:when test="/Properties/Datum[@ID='UseProfileDimensions']/Option[@Selected='true']/Value = 'yes'">
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/>&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageWidthHeightForDesktop']/Option[@Selected='true']/Value"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:otherwise>
									</xsl:choose>									
								</xsl:attribute>
							</source>
							<source media="(min-width: 320px)">
								<xsl:attribute name="srcset">
									<xsl:choose>
										<xsl:when test="/Properties/Datum[@ID='UseProfileDimensions']/Option[@Selected='true']/Value = 'yes'">
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/>&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageWidthHeightForTablet']/Option[@Selected='true']/Value"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</source>
							<source media="(max-width: 320px)">
								<xsl:attribute name="srcset">
									<xsl:choose>
										<xsl:when test="/Properties/Datum[@ID='UseProfileDimensions']/Option[@Selected='true']/Value = 'yes'">
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/>&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageWidthHeightForMobile']/Option[@Selected='true']/Value"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
										</xsl:otherwise>
									</xsl:choose>									
								</xsl:attribute>
							</source>

							<img>
								<xsl:attribute name="src">
									<xsl:value-of select="replace(/Properties/Data/Datum[@ID='Image']/Image/Path,'/ping','')"/><xsl:if test="not(/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ColorSpace']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageFormat']/Option[@Selected='true']/Value"/></xsl:if><xsl:if test="not(/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value = 'None')">&amp;<xsl:value-of select="/Properties/Datum[@ID='ImageProfile']/Option[@Selected='true']/Value"/></xsl:if>
								</xsl:attribute>
								<xsl:attribute name="alt">
									<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Description"/>
								</xsl:attribute>
							</img>
						</picture>
					</xsl:when>
					<xsl:when test="contains(/Properties/Data/Datum[@ID='Image']/Image/Path, 'placeholder.com')">
						<picture>
							<source media="(min-width: 640px)">
								<xsl:attribute name="srcset">http://via.placeholder.com/1024x768</xsl:attribute>
							</source>
							<source media="(min-width: 320px)">
								<xsl:attribute name="srcset">http://via.placeholder.com/640x480</xsl:attribute>
							</source>
							<source media="(max-width: 320px)">
								<xsl:attribute name="srcset">http://via.placeholder.com/320x240</xsl:attribute>
							</source>
							<img>
								<xsl:attribute name="src">
									<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Path"/>
								</xsl:attribute>
								<xsl:attribute name="alt">
									<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Description"/>
								</xsl:attribute>
							</img>
						</picture>						
					</xsl:when>
					<xsl:otherwise>
						<img>
							<xsl:attribute name="src">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Path"/>
							</xsl:attribute>
							<xsl:attribute name="alt">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Description"/>
							</xsl:attribute>
						</img>
					</xsl:otherwise>
				</xsl:choose>
			</div>
		</div>


	</xsl:template>
</xsl:stylesheet>