<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">		
		<ul id="featured" data-orbit="">
			<xsl:for-each select="/Properties/Data/Datum[@ID='CarouselDCR']/DCR/Carousel/ImageList">
				<!--<xsl:if test="position()= 1 ">
							<xsl:attribute name="class">active</xsl:attribute>
						</xsl:if>-->
				<li>
					<xsl:variable name="imageClass">
						<xsl:choose>
							<xsl:when test="position()= 1 ">active</xsl:when>
						</xsl:choose>
					</xsl:variable>
					<xsl:call-template name="image-dcr">
						<xsl:with-param name="node" select="."/> 
						<xsl:with-param name="class" select="$imageClass"/>
						<xsl:with-param name="linkClass" select="''"/>
						<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
						<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/ImagePath')"/>
					</xsl:call-template>
					<xsl:if test="string-length(ImageCaption) &gt; 0">
						<div>
							<xsl:choose>
								<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
									<xsl:attribute name="class">orbit-caption text-right</xsl:attribute>
								</xsl:when>
								<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
									<xsl:attribute name="class">orbit-caption text-center</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="class">orbit-caption text-left</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<h4>
								<xsl:attribute name="in-context-edit">
									<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
								</xsl:attribute> 
								<xsl:attribute name="dcr-item-paths">
									<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/ImageCaption')"/>
								</xsl:attribute> 	
								<xsl:value-of select="ImageCaption" disable-output-escaping="yes"/>
							</h4>
							<h6>
								<xsl:attribute name="in-context-edit">
									<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
								</xsl:attribute> 
								<xsl:attribute name="dcr-item-paths">
									<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/SubImageCaption')"/>
								</xsl:attribute> 	
								<xsl:value-of select="SubImageCaption" disable-output-escaping="yes"/>
							</h6>
							<xsl:if test="/Properties/Datum[@ID='ShowCTA']/Option[@Selected='true']/Value = 'yes' and Link/LinkLabel">
									<xsl:call-template name="link-dcr">
										<xsl:with-param name="node" select="Link"/> 
										<xsl:with-param name="class" select="concat(/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
										<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
										<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/Link')"/>
									</xsl:call-template>
							</xsl:if>
						</div>	
					</xsl:if>
				</li>						
			</xsl:for-each>
		</ul>	
		<script>
    $(document).foundation();
		</script>
	</xsl:template>
</xsl:stylesheet>