<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<footer role="contentinfo">
			<div class="sticky-footer-css">
				<div class="row">
					<div class="large-12 columns" id="footer">
						<div class="large-6 columns">
							<p>
								<span>
									<xsl:attribute name="in-context-edit">
										<xsl:value-of select="/Properties/Data/Datum[@ID='FooterDCR']/@ID"/>
									</xsl:attribute> 
									<xsl:attribute name="dcr-item-paths">
										<xsl:value-of select="'/Footer/CopyrightText'"/>
									</xsl:attribute> 	
									<xsl:value-of select="/Properties/Data/Datum[@ID='FooterDCR']/DCR/Footer/CopyrightText" disable-output-escaping="yes"/>
								</span>
							</p>
						</div>
						<div class="large-6 columns">
							<ul class="inline-list"  id="footer-links">
								<xsl:for-each select="/Properties/Data/Datum[@ID='FooterDCR']/DCR/Footer/Link">
									<li>
										<xsl:call-template name="link-dcr">
											<xsl:with-param name="node" select="."/> 
											<xsl:with-param name="class" select="''"/>
											<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='FooterDCR']/@ID"/>
											<xsl:with-param name="dcrItemPaths" select="concat('/Footer/Link[',position(),']')"/>
										</xsl:call-template>
									</li>
									<xsl:if test="position() != last()">
										<li>|</li>
									</xsl:if>
								</xsl:for-each>						
							</ul>
						</div>
					</div>
				</div>
			</div>
		</footer>
	</xsl:template>
</xsl:stylesheet>