<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<div class="fixed">
			<nav class="top-bar" data-topbar="" role="navigation">
				<ul class="title-area">
					<li class="name">
					    <xsl:choose>
							<xsl:when test="string-length(/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/ImagePath) &gt; 1">
								<xsl:call-template name="image-dcr">
									<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage"/> 
									<xsl:with-param name="class" select="'logo'"/>
									<xsl:with-param name="linkClass"/>
									<xsl:with-param name="spanClass"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
									<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage'"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<h1>
									<xsl:call-template name="link-dcr">
										<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/Link"/> 
										<xsl:with-param name="class"/>
										<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
										<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage/Link'"/>
									</xsl:call-template>
								</h1>
							</xsl:otherwise>
						</xsl:choose>						
					</li>
					<li class="toggle-topbar menu-icon">
						<span>
							<xsl:attribute name="in-context-edit">
								<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
							</xsl:attribute> 
							<xsl:attribute name="dcr-item-paths">
								<xsl:value-of select="'/Header/MenuLabel'"/>
							</xsl:attribute> 
							<a href="#">
								
									<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/MenuLabel"/>
								
							</a>
						</span>
					</li>
				</ul>

				<section class="top-bar-section">
					<xsl:if test="/Properties/Datum[@ID='ShowSearch']/Option[@Selected='true']/Value = 'yes'">
					<ul class="right">
						<li class="has-form">
							<div class="row collapse">
								<div class="small-8 large-7 columns">
									<input type="text" aria-label="Search" name="keywords">
										<xsl:attribute name="placeholder">
											<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchPlaceholder"/>
										</xsl:attribute>
									</input>
								</div>
								<div class="small-3 large-3 end columns">									
									<a>
										<xsl:attribute name="class" select="concat(/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button expand')"></xsl:attribute>
										<xsl:attribute name="href">
											<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchURL"/>
										</xsl:attribute>
										<i class="fa fa-search"/>
									</a>
								</div>
							</div>
						</li>
					</ul>
					</xsl:if>
					<ul class="left">
						<xsl:for-each select="/Properties/Data/Result/site-map/segment/node">
							<xsl:call-template name="display-node">
								<xsl:with-param name="node" select="."/>
							</xsl:call-template>   
						</xsl:for-each>
					</ul>
				</section>
			</nav>
		</div>
		<script>
    $(document).foundation();
		</script>
	</xsl:template>
	<xsl:template name="display-node">
		<xsl:param name="node"/>
		<li>
			<xsl:choose>
				<xsl:when test="count($node/node) &gt; 0">
					<xsl:attribute name="class">has-dropdown not-click</xsl:attribute>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="."/> 
						<xsl:with-param name="class" select="''"/>
						<xsl:with-param name="displayCaret" select="'yes'"/>
					</xsl:call-template>
					<ul class="dropdown">
						<xsl:for-each select="$node/node">
							<xsl:call-template name="display-node">
								<xsl:with-param name="node" select="."/>
							</xsl:call-template> 
						</xsl:for-each>							
					</ul>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="."/> 
						<xsl:with-param name="class" select="''"/>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
		</li>
	</xsl:template>
</xsl:stylesheet>