<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
			<section class="jumbo">
				<xsl:attribute name="style">background-image: url('<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Path"/>');</xsl:attribute>
				<xsl:attribute name="aria-label">
					<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Description"/>
				</xsl:attribute>
				<div class="row">
					<div>
							<xsl:choose>
								<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
									<xsl:attribute name="class">large-12 columns text-right</xsl:attribute>
								</xsl:when>
								<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
									<xsl:attribute name="class">large-12 columns text-center</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="class">large-12 columns</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						<h1>
							<xsl:attribute name="class"><xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/></xsl:attribute>
							<xsl:attribute name="in-context-edit">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Title']/@ID"/>
							</xsl:attribute> 
							<xsl:value-of select="/Properties/Data/Datum[@ID='Title']" disable-output-escaping="yes"/>
						</h1>
						<span>
							<xsl:attribute name="class"><xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/></xsl:attribute>
							<xsl:attribute name="in-context-edit">
								<xsl:value-of select="/Properties/Data/Datum[@ID='Body']/@ID"/>
							</xsl:attribute> 
							<xsl:value-of select="/Properties/Data/Datum[@ID='Body']" disable-output-escaping="yes"/>
						</span>
						<xsl:if test="not(/Properties/Data/Group[@ID='Link']/Datum[@ID='LinkLabel'] = '')">
						<p>
							<xsl:call-template name="link-datum">
								<xsl:with-param name="node" select="/Properties/Data/Group[@ID='Link']"/> 
								<xsl:with-param name="class" select="concat('medium ',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
								<xsl:with-param name="contextEdit" select="/Properties/Data/Group[@ID='Link']/@ID"/>
							</xsl:call-template>
						</p>
						</xsl:if>
					</div>
				</div>
			</section>			
	</xsl:template>
</xsl:stylesheet>