<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<div class="responsive-blog-post">
			<div class="individual-post">
				<h4>
					<xsl:attribute name="in-context-edit">
						<xsl:value-of select="/Properties/Data/Datum[@ID='Title']/@ID"/>
					</xsl:attribute> 
					<xsl:value-of select="/Properties/Data/Datum[@ID='Title']" disable-output-escaping="yes"/>
				</h4>
				<xsl:if test="/Properties/Datum[@ID='ShowDate']/Option[@Selected='true']/Value = 'yes'">
				<p class="date">
					<span>
						<xsl:attribute name="in-context-edit">
							<xsl:value-of select="/Properties/Data/Datum[@ID='PublishDate']/@ID"/>
						</xsl:attribute>
							<xsl:variable name="day">
							<xsl:choose>	
								<xsl:when test="string-length(/Properties/Data/Datum[@ID='PublishDate']/Date/@Day) = 1">0<xsl:value-of select="/Properties/Data/Datum[@ID='PublishDate']/Date/@Day"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="/Properties/Data/Datum[@ID='PublishDate']/Date/@Day"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="month">
							<xsl:choose>	
								<xsl:when test="string-length(/Properties/Data/Datum[@ID='PublishDate']/Date/@Month) = 1">0<xsl:value-of select="/Properties/Data/Datum[@ID='PublishDate']/Date/@Month"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="/Properties/Data/Datum[@ID='PublishDate']/Date/@Month"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="isoDate" select="concat(/Properties/Data/Datum[@ID='PublishDate']/Date/@Year, '-', $month, '-', $day)" />						
						<xsl:value-of select="format-date(xs:date($isoDate), /Properties/Datum[@ID='DateFormat']/Option[@Selected='true']/Value)" />				   
					</span>
				</p>
				</xsl:if>
				<span>
					<xsl:attribute name="in-context-edit">
						<xsl:value-of select="/Properties/Data/Datum[@ID='Body']/@ID"/>
					</xsl:attribute> 
					<xsl:value-of select="/Properties/Data/Datum[@ID='Body']" disable-output-escaping="yes"/>
				</span>
				<xsl:if test="not(/Properties/Data/Group[@ID='Link']/Datum[@ID='LinkLabel'] = '')">
					<xsl:call-template name="link-datum">
						<xsl:with-param name="node" select="/Properties/Data/Group[@ID='Link']"/> 
						<xsl:with-param name="class" select="concat(/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
						<xsl:with-param name="contextEdit" select="/Properties/Data/Group[@ID='Link']/@ID"/>
					</xsl:call-template>
				</xsl:if>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>