<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">		
		<div class="orbit" role="region" aria-label="Favorite Space Pictures" data-orbit="">
			<div class="orbit-wrapper">
				<div class="orbit-controls">
					<button class="orbit-previous">&#9664;&#xFE0E;</button>
					<button class="orbit-next">&#9654;&#xFE0E;</button>
				</div>
				<ul class="orbit-container">
					<xsl:for-each select="/Properties/Data/Datum[@ID='CarouselDCR']/DCR/Carousel/ImageList">
						<li>
							<xsl:attribute name="class">
								<xsl:choose>
									<xsl:when test="position()= 1 ">is-active orbit-slide</xsl:when>
									<xsl:otherwise>orbit-slide</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<figure class="orbit-figure">
								<xsl:call-template name="image-dcr">
									<xsl:with-param name="node" select="."/> 
									<xsl:with-param name="class" select="'orbit-image'"/>
									<xsl:with-param name="linkClass" select="''"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
									<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/ImagePath')"/>
								</xsl:call-template>
								<xsl:if test="string-length(ImageCaption) &gt; 0">
									<figcaption>
										<xsl:choose>
											<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
												<xsl:attribute name="class">orbit-caption text-right</xsl:attribute>
											</xsl:when>
											<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
												<xsl:attribute name="class">orbit-caption text-center</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="class">orbit-caption text-left</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<h4>
											<xsl:attribute name="in-context-edit">
												<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
											</xsl:attribute> 
											<xsl:attribute name="dcr-item-paths">
												<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/ImageCaption')"/>
											</xsl:attribute> 	
											<xsl:value-of select="ImageCaption" disable-output-escaping="yes"/>
										</h4>
										<h6>
											<xsl:attribute name="in-context-edit">
												<xsl:value-of select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
											</xsl:attribute> 
											<xsl:attribute name="dcr-item-paths">
												<xsl:value-of select="concat('/Carousel/ImageList[',position(),']/SubImageCaption')"/>
											</xsl:attribute> 	
											<xsl:value-of select="SubImageCaption" disable-output-escaping="yes"/>
										</h6>
										<xsl:if test="/Properties/Datum[@ID='ShowCTA']/Option[@Selected='true']/Value = 'yes' and Link/LinkLabel">
											<p>
												<xsl:call-template name="link-dcr">
													<xsl:with-param name="node" select="Link"/> 
													<xsl:with-param name="class" select="concat('medium ',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
													<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='CarouselDCR']/@ID"/>
													<xsl:with-param name="dcrItemPaths" select="concat('/Carousel/ImageList[',position(),']/Link')"/>
												</xsl:call-template>
											</p>
										</xsl:if>
									</figcaption>	
								</xsl:if>
							</figure>
						</li>		
					</xsl:for-each>     
				</ul>
			</div>
			<nav class="orbit-bullets">
				<xsl:for-each select="/Properties/Data/Datum[@ID='CarouselDCR']/DCR/Carousel/ImageList">
					<button>
						<xsl:if test="position()= 1 ">
							<xsl:attribute name="class">is-active</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="data-slide-to">
							<xsl:value-of select="position()"/>
						</xsl:attribute>
					</button>
				</xsl:for-each>
			</nav>
		</div>
		<script>
    $(document).foundation();
		</script>
	</xsl:template>
</xsl:stylesheet>