<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<div data-sticky-container="">
			<div data-sticky="" data-margin-top="0" data-options="stickyOn:small;marginTop:0;">
				<div class="title-bar" data-responsive-toggle="example-menu" data-hide-for="medium">
					<button class="menu-icon" type="button" data-toggle="example-menu"/>
					<div class="title-bar-title">
						<xsl:attribute name="in-context-edit">
							<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
						</xsl:attribute> 
						<xsl:attribute name="dcr-item-paths">
							<xsl:value-of select="'/Header/MenuLabel'"/>
						</xsl:attribute> 
						<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/MenuLabel"/>
					</div>
				</div>
				<div class="top-bar"  id="example-menu">
					<div>
						<xsl:choose>
							<xsl:when test="string-length(/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/ImagePath) &gt; 1">
								<xsl:call-template name="image-dcr">
									<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage"/> 
									<xsl:with-param name="class" select="'logo'"/>
									<xsl:with-param name="linkClass"/>
									<xsl:with-param name="spanClass"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
									<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage'"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>	
								<xsl:attribute name="class">menu-text</xsl:attribute>
								<xsl:call-template name="link-dcr">
									<xsl:with-param name="node" select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/BrandImage/Link"/> 
									<xsl:with-param name="class"/>
									<xsl:with-param name="contextEdit" select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
									<xsl:with-param name="dcrItemPaths" select="'/Header/BrandImage/Link'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>						
					</div>
					<div class="top-bar-left">

						<ul class="vertical medium-horizontal menu" data-responsive-menu="drilldown medium-dropdown">

							<xsl:for-each select="/Properties/Data/Result/site-map/segment/node">
								<xsl:call-template name="display-node">
									<xsl:with-param name="node" select="."/>
								</xsl:call-template>   
							</xsl:for-each>
						</ul>
					</div>
					<div class="top-bar-right">
							<xsl:if test="/Properties/Datum[@ID='ShowSearch']/Option[@Selected='true']/Value = 'yes'">
							<ul class="menu">
								<li>

									<input type="text" aria-label="Search" name="keywords">
										<xsl:attribute name="placeholder">
											<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchPlaceholder"/>
										</xsl:attribute>
									</input>
								</li>
								<li>
									<span>
										<xsl:attribute name="in-context-edit">
											<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/@ID"/>
										</xsl:attribute> 
										<xsl:attribute name="dcr-item-paths">
											<xsl:value-of select="'/Header/Search/SearchURL'"/>
										</xsl:attribute>
										<a>
											<xsl:attribute name="class" select="concat(/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button expand')"/>
											<xsl:attribute name="href">
												<xsl:value-of select="/Properties/Data/Datum[@ID='HeaderDCR']/DCR/Header/Search/SearchURL"/>
											</xsl:attribute>
											<i class="fa fa-search"/>
										</a>
									</span>
								</li>
							</ul>
						</xsl:if>

					</div>
				</div>
			</div>
		</div>
		<script>
    $(document).foundation();
		</script>
	</xsl:template>
	<xsl:template name="display-node">
		<xsl:param name="node"/>
		<li>
			<xsl:choose>
				<xsl:when test="count($node/node) &gt; 0">
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="."/> 
						<xsl:with-param name="class" select="''"/>
					</xsl:call-template>
					<ul class="menu vertical nested">
						<xsl:for-each select="$node/node">
							<xsl:call-template name="display-node">
								<xsl:with-param name="node" select="."/>
							</xsl:call-template> 
						</xsl:for-each>							
					</ul>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="link-sitemap">
						<xsl:with-param name="node" select="."/> 
						<xsl:with-param name="class" select="''"/>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
		</li>
	</xsl:template>
</xsl:stylesheet>