<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="http://www.interwoven.com/livesite/com/component/xsl/common/common-templates.xsl"/>
	<xsl:template match="/">
		<div class="hero-section">
			<xsl:attribute name="style">background-image: url('<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Path"/>');</xsl:attribute>
			<xsl:attribute name="aria-label">
				<xsl:value-of select="/Properties/Data/Datum[@ID='Image']/Image/Description"/>
			</xsl:attribute>
			<div class="hero-section-text">
				<xsl:choose>
					<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'right'">
						<xsl:attribute name="class">hero-section-text text-right <xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="/Properties/Datum[@ID='TextAlignment']/Option[@Selected='true']/Value = 'center'">
						<xsl:attribute name="class">hero-section-text text-center <xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="class">hero-section-text text-left <xsl:value-of select="/Properties/Datum[@ID='TextColor']/Option[@Selected='true']/Value"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<h1>
					<xsl:attribute name="in-context-edit">
						<xsl:value-of select="/Properties/Data/Datum[@ID='Title']/@ID"/>
					</xsl:attribute> 
					<xsl:value-of select="/Properties/Data/Datum[@ID='Title']" disable-output-escaping="yes"/>
				</h1>
				<h5>
					<xsl:attribute name="in-context-edit">
						<xsl:value-of select="/Properties/Data/Datum[@ID='Body']/@ID"/>
					</xsl:attribute> 
					<xsl:value-of select="/Properties/Data/Datum[@ID='Body']" disable-output-escaping="yes"/>
				</h5>
				<xsl:if test="not(/Properties/Data/Group[@ID='Link']/Datum[@ID='LinkLabel'] = '')">
					<p>
						<xsl:call-template name="link-datum">
							<xsl:with-param name="node" select="/Properties/Data/Group[@ID='Link']"/> 
							<xsl:with-param name="class" select="concat('medium ',/Properties/Datum[@ID='LinkStyle']/Option[@Selected='true']/Value,' button')"/>
							<xsl:with-param name="contextEdit" select="/Properties/Data/Group[@ID='Link']/@ID"/>
						</xsl:call-template>
					</p>
				</xsl:if>
			</div>			
		</div>			
	</xsl:template>
</xsl:stylesheet>