<!--
* Created by Klish Group Inc. www.klishgroup.com. 
* For questions:  support@klishgroup.com
* Klish Group, Inc. 2017 - 2018 – MIT License
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="/Properties/Datum[@ID='SocialShareDisplayOption']/Option[@Selected='true']/Value = 'sharethis'">
				<xsl:variable name="sharethisurl">//platform-api.sharethis.com/js/sharethis.js#property=<xsl:value-of select="/Properties/Data/Datum[@ID='ShareThisPropertyID']"/>&amp;product=sticky-share-buttons</xsl:variable>
				<script type='text/javascript' async='async'>
					<xsl:attribute name="src"><xsl:value-of select="$sharethisurl"/></xsl:attribute>					
				</script>
			</xsl:when>
			<xsl:when test="/Properties/Datum[@ID='SocialShareDisplayOption']/Option[@Selected='true']/Value = 'both'">
				<xsl:variable name="sharethisurl">//platform-api.sharethis.com/js/sharethis.js#property=<xsl:value-of select="/Properties/Data/Datum[@ID='ShareThisPropertyID']"/>&amp;product=sticky-share-buttons</xsl:variable>
				<script type='text/javascript' async='async'>
					<xsl:attribute name="src"><xsl:value-of select="$sharethisurl"/></xsl:attribute>					
				</script>
				<xsl:apply-templates select="/Properties/Data/Datum/DCR/SocialShareBar"/> 
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="/Properties/Data/Datum/DCR/SocialShareBar"/> 
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="/Properties/Data/Datum/DCR/SocialShareBar">
		<div id="share">
			<div class="social-bar__content"><xsl:value-of select="Heading"/></div>
			<xsl:for-each select="/Properties/Data/Datum/DCR/SocialShareBar/LinkContainer">	
				<xsl:choose>
					<xsl:when test="icon = 'facebook'">
						<a class="facebook" target="blank">
							<xsl:choose>
								<xsl:when test="string-length(Link) &gt; 1">
									<xsl:attribute name="href"><xsl:value-of select="Link"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href">https://www.facebook.com/share.php?u=$CONTEXT{request.requestURL}&amp;title=$CONTEXT{pageTitle}</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>							
							<i class="fa fa-facebook"></i>
						</a>
					</xsl:when>
					<xsl:when test="icon = 'twitter'">
						<a class="twitter" target="blank">
							<xsl:choose>
								<xsl:when test="string-length(Link) &gt; 1">
									<xsl:attribute name="href"><xsl:value-of select="Link"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href">https://twitter.com/intent/tweet?status=$CONTEXT{pageTitle}+$CONTEXT{request.requestURL}</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>							
							<i class="fa fa-twitter"></i>
						</a>
					</xsl:when>
				<!--	<xsl:when test="icon = 'pinterest'">
						<a class="pinterest" target="blank">
							<xsl:attribute name="href">https://pinterest.com/pin/create/bookmarklet/?url=$CONTEXT{request.requestURL}&amp;is_video=false&amp;description=$CONTEXT{pageTitle}</xsl:attribute>
							<i class="fa fa-pinterest-p"></i>
						</a>
					</xsl:when>-->
					<xsl:when test="icon = 'reddit'">
						<a class="reddit" target="blank">
							<xsl:choose>
								<xsl:when test="string-length(Link) &gt; 1">
									<xsl:attribute name="href"><xsl:value-of select="Link"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href">http://www.reddit.com/submit?url=$CONTEXT{request.requestURL}&amp;title=$CONTEXT{pageTitle}</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>							
							<i class="fa fa-reddit"></i>
						</a>
					</xsl:when>
					<xsl:when test="icon = 'googleplus'">
						<a class="googleplus" target="blank">
							<xsl:choose>
								<xsl:when test="string-length(Link) &gt; 1">
									<xsl:attribute name="href"><xsl:value-of select="Link"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href">https://plus.google.com/share?url=$CONTEXT{request.requestURL}</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>							
							<i class="fa fa-google-plus"></i>
						</a>
					</xsl:when>
					<xsl:when test="icon = 'linkedin'">
						<a class="linkedin" target="blank">
							<xsl:choose>
								<xsl:when test="string-length(Link) &gt; 1">
									<xsl:attribute name="href"><xsl:value-of select="Link"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="href">https://www.linkedin.com/shareArticle?mini=true&amp;url=$CONTEXT{request.requestURL}&amp;title=$CONTEXT{pageTitle}</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>							
							<i class="fa fa-linkedin"></i>
						</a>
					</xsl:when>
				</xsl:choose>			
			</xsl:for-each>
		</div>		
	</xsl:template>
</xsl:stylesheet>